<?php
namespace nur\sery\output;

use nulib\str;

class TtyOutput extends Output {
  use TOutputObjectAsCsv;

  function print(?array $contents): void {
    echo str::join("", $contents);
  }

  function printCsv(?array $row): void {
    #XXX rendre paramétrable les options de sortie
    fputcsv(STDOUT, $row);
  }
}
